<?xml version="1.0" encoding="UTF-8"?>
<!-- fz813_573val_Vecozo_stap2_v1, 24 juli 2023 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cod="http://ei.vektis.nl/codelijsten/v1" xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">
	<!-- VALXSLT 2 TRAPS RETOURBERICHT  - versie Vecozo -->
	<!-- Deze xslt doet stap 2, i.e. filteren overbodige ballast met eindresultaat retourbericht -->
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="//fz814:Bericht">
		<fz814:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/verantwoording/fz814 fz814_585.xsd</xsl:attribute>		
			<xsl:apply-templates select="fz814:Header"/>
			<xsl:apply-templates select="fz814:VerantwoordingsContext"/>
			<xsl:apply-templates select="fz814:Overzicht"/>
			<xsl:apply-templates select="fz814:Plaatsingsbesluit"/>
		</fz814:Bericht>
	</xsl:template>
	<xsl:template match="fz814:Header">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<fz814:Header>
			<xsl:apply-templates select="fz814:Berichtcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtsubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtsoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Verzender" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:VerzenderRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Ontvanger" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:OntvangerRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Referentienummer" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="fz814:Feedback"/>
		</fz814:Header>
	</xsl:template>
	<xsl:template match="fz814:VerantwoordingsContext">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<fz814:VerantwoordingsContext>
			<xsl:apply-templates select="fz814:Instelling"/>
			<xsl:apply-templates select="fz814:EinddatumVerantwoordingsperiode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="fz814:Feedback"/>
		</fz814:VerantwoordingsContext>
	</xsl:template>
	<xsl:template match="fz814:Instelling">	
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<fz814:Instelling>
			<xsl:apply-templates select="fz814:Zorgaanbiedercode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:ZorgaanbiederSoort" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="fz814:Feedback"/>
		</fz814:Instelling>
	</xsl:template>			
	<xsl:template match="fz814:Overzicht">
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<fz814:Overzicht>
			<xsl:apply-templates select="fz814:TotaalAngZpm"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="fz814:Feedback"/>
		</fz814:Overzicht>
	</xsl:template>
	<xsl:template match="fz814:TotaalAngZpm">	
		<!-- retourneer alle gegevens van de klasse, onvoorwaardelijk voor deze klasse -->
		<fz814:TotaalAngZpm>
			<xsl:apply-templates select="fz814:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:DebetCreditCode" mode="copy-if-exists"/>
			<!-- retourneer eventuele feedback -->
			<xsl:apply-templates select="fz814:Feedback"/>
		</fz814:TotaalAngZpm>
	</xsl:template>			
	
	
	<xsl:template match="fz814:Plaatsingsbesluit">
		<xsl:variable name="FoutenPlaatsingsbesluit" select="count(./fz814:Feedback)"/>
		<xsl:variable name="FoutenAngZpm" select="count(./fz814:AngZpm/fz814:Feedback)"/>
		<xsl:variable name="FoutenDeclaratieBedragInclBtw" select="count(./fz814:AngZpm/fz814:DeclaratieBedragInclBtw/fz814:Feedback)"/>
		<xsl:if test="($FoutenPlaatsingsbesluit+$FoutenAngZpm+$FoutenDeclaratieBedragInclBtw) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<fz814:Plaatsingsbesluit>
				<!-- retourneer identificerende gegevens van Plaatsingsbesluit -->
				<xsl:apply-templates select="fz814:Zorgcontractnummer" mode="copy-if-exists"/>
				<xsl:apply-templates select="fz814:PlaatsingsbesluitNummer" mode="copy-if-exists"/>
				<xsl:apply-templates select="fz814:Verzekerdennummer" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="fz814:AngZpm"/>
				<xsl:apply-templates select="fz814:Feedback"/>
			</fz814:Plaatsingsbesluit>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="fz814:AngZpm">
		<xsl:variable name="FoutenAngZpm" select="count(./fz814:Feedback)"/>
		<xsl:variable name="FoutenDeclaratieBedragInclBtw" select="count(./fz814:DeclaratieBedragInclBtw/fz814:Feedback)"/>
		<xsl:if test="($FoutenAngZpm+$FoutenDeclaratieBedragInclBtw) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<fz814:AngZpm>
				<!-- retourneer identificerende gegevens van AngZpm -->
				<xsl:apply-templates select="fz814:PrestatieCodelijstCode" mode="copy-if-exists"/>
				<xsl:apply-templates select="fz814:Prestatiecode" mode="copy-if-exists"/>
				<xsl:apply-templates select="fz814:ZorgtrajectNummer" mode="copy-if-exists"/>		
				<xsl:apply-templates select="fz814:Begindatum" mode="copy-if-exists"/>			
				<xsl:apply-templates select="fz814:Begintijd" mode="copy-if-exists"/>
				<xsl:apply-templates select="fz814:Volgnummer" mode="copy-if-exists"/>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="fz814:DeclaratieBedragInclBtw"/>
				<xsl:apply-templates select="fz814:Feedback"/>
			</fz814:AngZpm>
		</xsl:if>
	</xsl:template>

	<xsl:template match="fz814:DeclaratieBedragInclBtw">
		<xsl:variable name="FoutenDeclaratieBedragInclBtw" select="count(./fz814:Feedback)"/>
		<xsl:if test="($FoutenDeclaratieBedragInclBtw) &gt; 0">
			<!-- fout gevonden, retourneer klasse -->
			<fz814:DeclaratieBedragInclBtw>
				<!-- retourneer feedback -->
				<xsl:apply-templates select="fz814:Feedback"/>
			</fz814:DeclaratieBedragInclBtw>
		</xsl:if>
	</xsl:template>	
	
	<xsl:template match="fz814:Feedback">
	<fz814:Feedback>
		<xsl:apply-templates select="fz814:Retourcode" mode="copy-if-exists"/>
		<xsl:apply-templates select="fz814:BetrokkenElement"/>
		<xsl:apply-templates select="fz814:AanvullendKenmerk"/>
	</fz814:Feedback>
	</xsl:template>
	<xsl:template match="fz814:BetrokkenElement">
		<fz814:BetrokkenElement>
			<xsl:apply-templates select="*" mode="copy-if-exists"/>
		</fz814:BetrokkenElement>
	</xsl:template>
	<xsl:template match="fz814:AanvullendKenmerk">
		<fz814:BetrokkenElement>
			<xsl:apply-templates select="*" mode="copy-if-exists"/>
		</fz814:BetrokkenElement>
	</xsl:template>	
	
	<!-- Copy template: als een enkel element voorkomt is, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/verantwoording/fz814']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('fz814:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
