<?xml version="1.0" encoding="UTF-8"?>
<!-- fz814_585v1.0_VALXSLTu1, juli-2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">


	<!-- VALXSLT controle retourbericht verzekeraar door Vecozo -->
	<xsl:import href="rc9262b.xslt"/>
	<xsl:import href="rc9263b.xslt"/>


	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" />
		
	<xsl:template match="fz814:Bericht">
		<fz814:Bericht>
			<xsl:attribute name="xsi:schemaLocation">http://ei.vektis.nl/verantwoording/fz814 fz814_585.xsd</xsl:attribute>
			<xsl:apply-templates select="fz814:Header"/>
			<xsl:apply-templates select="fz814:VerantwoordingsContext"/>
			<xsl:apply-templates select="fz814:Overzicht"/>
		</fz814:Bericht>
	</xsl:template>
		
	<xsl:template match="fz814:Header">
		<!-- retourneer klasse Header -->
		<fz814:Header>
			<xsl:apply-templates select="fz814:Berichtcode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtsubversie" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Berichtsoort" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Verzender" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:VerzenderRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Ontvanger" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:OntvangerRol" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Verzenddatum" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:Referentienummer" mode="copy-if-exists"/>
			<!-- eventuele feedback van de verzekeraar is voor deze controle niet relevant -->
			<!-- controles klasse Header uitvoeren -->
			<!-- VC003: Indien Berichtcode = 585 (= Retourinformatie Verantwoording forensische zorg voor ZPM), dan mag alleen VerzenderRol = 4 (= DJI) of 6 (= VECOZO) voorkomen. -->
			<xsl:call-template name="rc9262b">
				<xsl:with-param name="Berichtcode" select="fz814:Berichtcode"/>
				<xsl:with-param name="VerzenderRol" select="fz814:VerzenderRol"/>
			</xsl:call-template>
			<!-- VC005: Indien Berichtcode = 585 (= Retourinformatie Verantwoording forensische zorg voor ZPM), dan mag alleen OntvangerRol = 1 (= Zorgaanbieder) of 2 (= Servicebureau) voorkomen. -->
			<xsl:call-template name="rc9263b">
				<xsl:with-param name="Berichtcode" select="fz814:Berichtcode"/>
				<xsl:with-param name="OntvangerRol" select="fz814:OntvangerRol"/>
			</xsl:call-template>
		</fz814:Header>
	</xsl:template>
		
	<xsl:template match="fz814:VerantwoordingsContext">	
		<!-- klasse VerantwoordingsContext volledig retourneren -->
		<fz814:VerantwoordingsContext>
			<xsl:apply-templates select="fz814:Instelling"/>
			<xsl:apply-templates select="fz814:EinddatumVerantwoordingsperiode" mode="copy-if-exists"/>
			<!-- eventuele feedback van de verzekeraar is voor deze controle niet relevant -->
			<!-- geen controles voor klasse DeclaratieContext -->
		</fz814:VerantwoordingsContext>
	</xsl:template>				
		
	<xsl:template match="fz814:Instelling">	
		<!-- klasse Instelling is onderdeel van VerantwoordingsContext, alle gegevens retourneren -->
		<fz814:Instelling>
			<xsl:apply-templates select="fz814:Zorgaanbiedercode" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:ZorgaanbiederSoort" mode="copy-if-exists"/>
		</fz814:Instelling>
	</xsl:template>			
		
	<xsl:template match="fz814:Overzicht">	
		<!-- klasse Overzicht volledig retourneren -->
		<fz814:Overzicht>
			<xsl:apply-templates select="fz814:TotaalAngZpm"/>
			<!-- geen controles voor klasse Overzicht -->
		</fz814:Overzicht>
	</xsl:template>				
		
	<xsl:template match="fz814:TotaalAngZpm">	
		<!-- klasse TotaalAngZpm is onderdeel van Overzicht, alle gegevens retourneren -->
		<fz814:TotaalAngZpm>
			<xsl:apply-templates select="fz814:Bedrag" mode="copy-if-exists"/>
			<xsl:apply-templates select="fz814:DebetCreditCode" mode="copy-if-exists"/>
		</fz814:TotaalAngZpm>
	</xsl:template>			
		
	<!-- Copy template: als een enkel element voorkomt, wordt deze gekopieerd in de opgegeven namespace -->
	<xsl:template match="*[namespace-uri()='http://ei.vektis.nl/verantwoording/fz814']" mode="copy-if-exists">
		<xsl:if test=".">
			<xsl:element name="{concat('fz814:',local-name())}">
				<xsl:value-of select="text()"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
</xsl:stylesheet>