<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9622.xslt, 10 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- retourcode 9622: Het bedrag in TotaalAngZpm komt niet overeen met de gedeclareerde bedragen in AngZpm, rekening houdend met DebetCredit.   -->
	<xsl:template name="rc9622">
		<xsl:param name="TotaalAngZpmBedrag"/>
		<xsl:param name="TotaalAngZpmDCIndicator"/>
		<xsl:param name="TotaalDebetPrestaties"/>
		<xsl:param name="TotaalCreditPrestaties"/>
		
		<xsl:variable name="Totaal">
		<xsl:choose>
			<xsl:when test="$TotaalAngZpmDCIndicator='D'">
				<xsl:value-of select="$TotaalAngZpmBedrag * 100"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$TotaalAngZpmBedrag * -100"/>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:variable>

		<xsl:variable name="Debet">
			<xsl:value-of select="$TotaalDebetPrestaties * 100"/>
		</xsl:variable>

		<xsl:variable name="Credit">
			<xsl:value-of select="$TotaalCreditPrestaties * 100"/>
		</xsl:variable>
		<xsl:if test="$Totaal != ($Debet - $Credit)">
			<fz814:Feedback>
				<fz814:Retourcode>9622</fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($TotaalAngZpmBedrag)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$TotaalAngZpmBedrag"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($TotaalAngZpmDCIndicator)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$TotaalAngZpmDCIndicator"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
			</fz814:Feedback>
		</xsl:if>

	</xsl:template>
</xsl:stylesheet>
