<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9638u1.xslt, september 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">
		
	<!-- retourcode 9638: BegindatumPrestatie mag niet voor 1 januari van het jaar van de EinddatumVerantwoordingsperiode liggen. -->		
	<xsl:template name="rc9638">
		
		<xsl:param name="Begindatum"/>
		<xsl:param name="EinddatumVerantwoordingsperiode"/>
		
		<xsl:variable name="Januaridatum" select="concat(substring($EinddatumVerantwoordingsperiode,1,4),'-01','-01')"/>
		
		<xsl:if test="normalize-space(translate($Begindatum,'-','')) &lt; normalize-space(translate($Januaridatum,'-',''))"> 
			<fz814:Feedback>
				<fz814:Retourcode>9638</fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($Begindatum)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Begindatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam>BegindatumVerantwoordingsperiode</fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Januaridatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>						
			</fz814:Feedback>
		</xsl:if>
		
	</xsl:template>

</xsl:stylesheet>
